Subject: bug#72814: closed (Re: bug#72814: 31.0.50; Add a variable controlling doxygen support in C/C++/Java?)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 21 Sep 2024 09:45:03 +0000

Your bug report

#72814: 31.0.50; Add a variable controlling doxygen support in C/C++/Java?

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
72814: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=72814
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#72814: 31.0.50; Add a variable controlling doxygen support in C/C++/Java?
From: Eli Zaretskii <[email-masked]>
To: Vincenzo Pupillo <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Sat, 21 Sep 2024 12:43:40 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Vincenzo Pupillo <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Sat, 14 Sep 2024 19:26:07 +0200
> 
> > > Another idea: use tertiary value for c-ts-mode-enable-doxygen, t for
> > > enable (and issue warning if doxygen isn’t present), nil for enable if
> > > doxygen exists but don’t issue any warning, ‘disabled for disable. (I
> > > don’t think there’s a convention for the three values of tertiary toggle,
> > > is that right Eli?)
> > That could also be OK, but I prefer something that does TRT by
> > default.
> 
> Ciao,
> in this new version of the patch, as default, the *-ts-mode-enable-doxygen are 
> set to nil, and issue a diagnostic (one per session) when Not-nil and if the  
> grammar isn't present. It is OK?

Thanks, installed on master, and closing the bug.

Subject: 31.0.50; Add a variable controlling doxygen support in C/C++/Java?
From: Yuan Fu <[email-masked]>
To: Bug Report Emacs <[email-masked]>
Date: Sun, 25 Aug 2024 20:56:31 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

X-Debbugs-CC: [email-masked] <mailto:[email-masked]>, [email-masked]

Should we add a custom option that controls whether to enable doxygen
support in c-ts-mode/c++-ts-mode/java-ts-mode?

Technically this isn’t a problem, since the doxygen support is only
enabled if there’s doxygen grammar on the system. But many people
(me) might install a grammar bundle that includes dozens of
grammars for convenience. Then the doxygen support would turn on when
the user doesn’t really intend to use it.

I propose we add custom options like c-ts-mode-enable-doxygen and set it
to t by default, so the default behavior is still to enable doxygen
support when the grammar for it exists, but people who don’t want to pay
for it can turn it off by setting the option to nil.

Yuan